// Now lets define a simple Move data structure to make things easy for us
extern "C" {
typedef struct _mlsd1 {
	short rightanklepos;
	short rightkneepos;
	short righthippos;
	short leftanklepos;
	short leftkneepos;
	short lefthippos;
	short sMoveTime;
} MLSD1, *PMLSD1;

// This holds multiple moves in a counted structure
// BUGBUG Should be a better way to have variable length... May have to define in two parts...
typedef struct _cmlsd1 {
	short cItems;
	const MLSD1 *pamlsd1;
} CMLSD1;
typedef CMLSD1 *PCMLSD1;


#ifdef LATER
static CMLSD1 s_cmlsd1_KickLeft = {6, {
         {  0,   0,  0,  0,   0,   0, 500}, 
         {-140,  0,  0, 420,  0,   0, 500}, 
         {-230,  0,  0,  0,-320, 410, 500}, 
         {-230,  0,  0,  0, 240,-200, 250}, 
         {-180,  0,  0,  0,   0,   0, 500}, 
         {   0,  0,  0,  0,   0,   0, 500}}};

static CMLSD1 s_cmlsd1_KickRight = {6, {
	     {   0,   0,   0,  0,   0,  0, 500},
         { 420,   0,   0,-140,  0,  0, 500}, 
         {   0,-320, 410,-230,  0,  0, 500}, 
         {   0, 240,-200,-230,  0,  0, 250}, 
         {   0,   0,   0,-180,  0,  0, 500}, 
         {   0,   0,   0,   0,  0,  0, 500}}}; 
#endif

static const MLSD1  s_mlsd1_UpFromFront[] PROGMEM = {
         {   0,   0,   0,  0,   0,   0, 500}, 
         {   0, 900, 450,  0, 900, 450, 500}, 
         { 400, 900,-370,  0, 900, 450, 500}, 
         {   0, 900,-650,  0, 900,-650, 500}, 
         {   0, 900,-650,  0, 900,-650, -300}, // Was a pause 300 may put in something special for this...
		 {  0,   0,   0,   0,   0,   0,1000}}; 
static const CMLSD1  s_cmlsd1_UpFromFront PROGMEM = {6, s_mlsd1_UpFromFront};
    
static const MLSD1 s_mlsd1_UpFromBack[] PROGMEM = {
         {  0,   0,   0,  0,   0,  0,1000},
         {  0,-900,  50, 00,-900,  50,1000}, 
         {  0,   0,   0,  0,   0,  0,1000}};
static const CMLSD1 s_cmlsd1_UpFromBack PROGMEM = {3, s_mlsd1_UpFromBack};


static const MLSD1 s_mlsd1_Home[] PROGMEM = {
     	{  0,  0,  0,  0,  0,  0, 500} };
static const CMLSD1 s_cmlsd1_Home PROGMEM= {1, s_mlsd1_Home};

static const MLSD1 s_mlsd1_TurnLeft[] PROGMEM= {
         { 200,   0,   0,-140,   0,   0,500}, 
         { 200,-350,-350,-140, 350, 350,500}, 
         {   0,-350,-350,   0, 350, 350,500}, 
         {   0, 350, 350,   0,-350,-350,500}, 
         { 200, 350, 350,-140,-350,-350,500}, 
         { 200,   0,   0,-140,-350,-350,500},
         {-140,   0,   0, 200,-350,-350,500},
         {-140,   0,   0, 200,   0,   0,500},
         {   0,   0,   0,   0,   0,   0,500}};
static const CMLSD1 s_cmlsd1_TurnLeft PROGMEM= {sizeof(s_mlsd1_TurnLeft)/sizeof(MLSD1), s_mlsd1_TurnLeft};

static const MLSD1 s_mlsd1_TurnRight[] PROGMEM = {
         {-140,   0,   0, 200,  0,   0,500} ,
         {-140, 350, 350, 200,-350,-350,500}, 
         {   0, 350, 350,   0,-350,-350,500}, 
         {   0,-350,-350,   0, 350, 350,500}, 
         {-140,-350,-350, 200, 350, 350,500}, 
         {-140,-350,-350, 200,   0,   0,500},
         { 200,-350,-350,-140,   0,   0,500},
         { 200,   0,   0,-140,   0,   0,500},
         {   0,   0,   0,   0,   0,   0,500}};
static const CMLSD1 s_cmlsd1_TurnRight PROGMEM = {sizeof(s_mlsd1_TurnRight)/sizeof(MLSD1), s_mlsd1_TurnRight}; 

static const MLSD1 s_mlsd1_CCLeft[] PROGMEM = {
         {   0,   0,   0,   0,   0,   0,500},
         { 250,   0,   0,-180,   0,   0,500},
         { 250,   0,   0,-180,   0,   0,-100},		// was a delay of 100;
         {  20,-200,-200,-180, 200, 200,500},
         {   0,-200,-200,   0, 200, 200,500},
         {   0,   0,   0,   0,   0,   0,500}};
static const CMLSD1 s_cmlsd1_CCLeft PROGMEM = {sizeof(s_mlsd1_CCLeft)/sizeof(MLSD1), s_mlsd1_CCLeft};

static const MLSD1 s_mlsd1_CCRight[] PROGMEM= {
         {   0,   0,   0,   0,   0,   0,500},
         {-180,   0,   0, 250,   0,   0,500},
         {-180,   0,   0, 250,   0,   0,-100},	// was a delay of 100
         {-180, 200, 200,  20,-200,-200,500},
         {   0, 200, 200,   0,-200,-200,500},
         {   0,   0,   0,   0,   0,   0,500}};
static const CMLSD1 s_cmlsd1_CCRight PROGMEM= {sizeof(s_mlsd1_CCRight)/sizeof(MLSD1), s_mlsd1_CCRight}; 

static const MLSD1 s_mlsd1_Rest[] PROGMEM= {
         {   0, 350, 400,   0, 350, 400,500}};
static const CMLSD1 s_cmlsd1_Rest PROGMEM= {sizeof(s_mlsd1_Rest)/sizeof(MLSD1), s_mlsd1_Rest};
}
